class_name Coin extends Area2D

#Note: signal created - better to 'signal up' and 'call down'
signal coinCollected

func _on_body_entered(body):
	if body.is_in_group("player"):
		coinCollected.emit()
		queue_free()
